<template>
	<div class=" bg-inicio">
		<div class=" content-inicio-curso">
			<div class="modal">
				<div class="content-session">
					<span class="content-session-detail "><b>{{ session.name }}</b></span><br>
					<span class="content-session-inicio">
					{{ ! session.favorite ? '¿Quieres agregar esta sesión a tus favoritos?' : '¿Quieres quitar esta sesión de tus favoritos?' }}
					</span> <br>
					
					<div class="icon-inicio">
						<i :class="! session.favorite ? 'fa fa-star-o' : 'fa fa-star'"></i>
					</div>
					
					<a  class="close-btn btn-false waves-effect waves-light" @click.prevent="closeStandarModal()">
						<i class=" ">No</i>
					</a>
					<a  class="close-btn  waves-effect waves-light" @click.prevent="addToFavorite">
					<!-- <i class="ti-angle-right "></i> -->
						<i class=" ">SÍ</i>
					</a>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	import { mapGetters, mapActions} from 'vuex'
	export default {
  		props: ['value'],
  		methods : {
  			...mapActions(['toggleFavorite', 'closeStandarModal']),
  			addToFavorite(){
  				this.toggleFavorite()
  				this.closeStandarModal()
  			}
  		},
  		computed: {
  			...mapGetters(['session', 'course']),
  			result(){
  				return this.value != 100 ? this.value.toString().substr(0,2) : this.value
  			}
  		}
	}
</script>
